from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XGraphicDevice(XInterface, Protocol):
    def getBufferController(self) -> XBufferController: ...
    def getDeviceColorSpace(self) -> XColorSpace: ...
    def getPhysicalResolution(self) -> RealSize2D: ...
    def getPhysicalSize(self) -> RealSize2D: ...
    def createCompatibleLinePolyPolygon(self, points: RealPoint2D > >) -> XLinePolyPolygon2D: ...
    def createCompatibleBezierPolyPolygon(self, points: RealBezierSegment2D > >) -> XBezierPolyPolygon2D: ...
    def getParametricPolyPolygonFactory(self) -> XMultiServiceFactory: ...
    def hasFullScreenMode(self) -> bool: ...
    def enterFullScreenMode(self, bEnter: bool) -> bool: ...
